DROP TABLE IF EXISTS vv_ProductSelect;
DROP VIEW IF EXISTS vv_ProductSelect;
CREATE VIEW vv_ProductSelect
AS
SELECT CASE WHEN t2.Oid IS NULL THEN t1.Oid ELSE t2.Oid END Oid, 
       t1.Oid Products,
       t2.oid StorageComputed
FROM Products t1 LEFT JOIN StorageComputed t2 ON
t1.Oid=t2.Products
WHERE t1.GCRecord IS NULL AND t2.GCRecord IS NULL;
